This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 814485 - [abrt] blender-2.62-4.fc18: __libc_message: Process /usr/bin/blender was killed by signal 6 (SIGABRT)
[abrt] blender-2.62-4.fc18: __libc_message: Process /usr/bin/blender was kill...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:26754b16a3e1b91cc5bec3f4398...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 21:01 EDT by Tom
Modified: 2013-08-27 08:30 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 08:30:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.07 KB, text/plain)
2012-04-19 21:01 EDT, Tom
no flags Details
File: build_ids (4.00 KB, text/plain)
2012-04-19 21:01 EDT, Tom
no flags Details
File: maps (46.20 KB, text/plain)
2012-04-19 21:01 EDT, Tom
no flags Details
File: backtrace (18.07 KB, text/plain)
2012-04-19 21:01 EDT, Tom
no flags Details

  None (edit)
Description Tom 2012-04-19 21:01:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        /usr/bin/blender
comment:        Blender crashes at startup
crash_function: __libc_message
executable:     /usr/bin/blender
kernel:         3.4.0-0.rc3.git1.1.fc18.x86_64
pid:            25712
remote_result:  NOTFOUND
time:           Thu 19 Apr 2012 08:29:21 PM EDT
uid:            1000

backtrace:      Text file, 18508 bytes
build_ids:      Text file, 4100 bytes
dso_list:       Text file, 9289 bytes
maps:           Text file, 47305 bytes

core_backtrace:
:41e7d973184aacb581fd6b946d28c53c661be295 0x35915 __GI_raise libc.so.6 -
:41e7d973184aacb581fd6b946d28c53c661be295 0x370c8 __GI_abort libc.so.6 -
:41e7d973184aacb581fd6b946d28c53c661be295 0x7563b __libc_message libc.so.6 -
:41e7d973184aacb581fd6b946d28c53c661be295 0x109797 __GI___fortify_fail libc.so.6 -
:41e7d973184aacb581fd6b946d28c53c661be295 0x107950 __GI___chk_fail libc.so.6 -
:41e7d973184aacb581fd6b946d28c53c661be295 0x109747 __fdelt_chk libc.so.6 -
:60937216d6bc7c1cac828d70702e005f8cedc0ea 0x1fc3 spnav_poll_event libspnav.so.0 -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x8c4dba GHOST_NDOFManagerX11::processEvents [exe] -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x8c0e6f GHOST_SystemX11::processEvents [exe] -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x8bde54 GHOST_ProcessEvents [exe] -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x386057 wm_window_process_events [exe] -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x370eb0 WM_main [exe] -
:c4271d5c726bfc7ab0b108f5125a8fbaa876647c 0x3664b1 main [exe] -

environ:
:XDG_VTNR=2
:SSH_AGENT_PID=25219
:XDG_SESSION_ID=4
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=hostname
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/username/.gtkrc-2.0:/home/username/.gtkrc-2.0-kde4:/home/username/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/home/username/.cache/keyring-Kzcm74
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=username
:SSH_AUTH_SOCK=/tmp/ssh-IXVRsjO25076/agent.25076
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/username/.local/bin:/home/username/bin
:MAIL=/var/spool/mail/username
:QT_IM_MODULE=xim
:PWD=/home/username
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=25074
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/username
:KDE_SESSION_VERSION=4
:LOGNAME=username
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QChJGzjh7e,guid=644662f7b66d82efeb916402000019f8
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/username
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/username/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-username/xauth-1000-_0
:CCACHE_HASHDIR=
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/25315,unix/unix:/tmp/.ICE-unix/25315
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/username/.gtkrc:/home/username/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=hostname;1334881759;900186;25334_TIME6748375

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30748                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30748                30748                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[99957]
:pos:	0
:flags:	00
:1:/home/username/.xsession-errors
:pos:	82376
:flags:	0100001
:2:/home/username/.xsession-errors
:pos:	82376
:flags:	0100001
:3:socket:[107623]
:pos:	0
:flags:	02004002
:4:socket:[107628]
:pos:	0
:flags:	02
:5:pipe:[107644]
:pos:	0
:flags:	02004000
:6:pipe:[107644]
:pos:	0
:flags:	02004001
:7:socket:[107647]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 4a933864-485f-469b-bb30-31d3b9bf785e
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5984.80
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II N660 Dual-Core Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 3931
:System Swap: 5983
:Vendor: Acer
:System: Aspire 5552G V2.14
:Form factor: Notebook
:Kernel: 3.4.0-0.rc3.git1.1.fc18.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1161) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(5772:46:6706:8969) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(4130:38401:4133:1161) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(5348:5778:4133:1161) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:38403:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17285:4133:1161) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1161) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1161) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:43664:4133:1161) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26433:4133:1161) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1161) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1161) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1161) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_tom3000-lv_root / btrfs 4096 4096 13107200 3441644 2973024 0 0 0
:/dev/sda2 /boot ext4 1024 1024 508745 408141 382541 128016 127785 127785
:/dev/mapper/vg_tom3000-lv_home /home btrfs 4096 4096 58474496 32546812 30410072 0 0 0
:/dev/sr0 WITHHELD udf 2048 2048 3194499 0 0 15 0 0
:

xsession_errors:
:*** buffer overflow detected ***: blender terminated
:blender(_ZN20GHOST_NDOFManagerX1113processEventsEv+0x2a)[0xcc4dba]
:blender(_ZN15GHOST_SystemX1113processEventsEb+0xdf)[0xcc0e6f]
:blender(GHOST_ProcessEvents+0x14)[0xcbde54]
:blender(wm_window_process_events+0x37)[0x786057]
:blender(WM_main+0x10)[0x770eb0]
:blender(main+0x8f1)[0x7664b1]
:blender[0x76ee69]
:00400000-0178a000 r-xp 00000000 00:11 2690904                            /usr/bin/blender
:01989000-019b6000 r--p 01389000 00:11 2690904                            /usr/bin/blender
:019b6000-0212e000 rw-p 013b6000 00:11 2690904                            /usr/bin/blender
Comment 1 Tom 2012-04-19 21:01:40 EDT
Created attachment 578822 [details]
File: dso_list
Comment 2 Tom 2012-04-19 21:01:42 EDT
Created attachment 578823 [details]
File: build_ids
Comment 3 Tom 2012-04-19 21:01:43 EDT
Created attachment 578824 [details]
File: maps
Comment 4 Tom 2012-04-19 21:01:45 EDT
Created attachment 578825 [details]
File: backtrace
Comment 5 Tom 2012-04-21 09:32:45 EDT
Blender no longer crashes for me on Rawhide after updating and rebooting.

Maybe it was the python update:
                                                              
    Updated python-2.7.3-2.fc18.x86_64       @rawhide                             
    Update         2.7.3-3.fc18.x86_64       @rawhide
    Updated python-devel-2.7.3-2.fc18.x86_64 @rawhide
    Update               2.7.3-3.fc18.x86_64 @rawhide
    Updated python-libs-2.7.3-2.fc18.x86_64  @rawhide
    Update              2.7.3-3.fc18.x86_64  @rawhide
    Updated tkinter-2.7.3-2.fc18.x86_64      @rawhide
    Update          2.7.3-3.fc18.x86_64      @rawhide
Comment 6 portals 2012-04-21 09:33:37 EDT
I run blender

backtrace_rating: 4
Package: blender-2.59-3.fc16
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Bahtiar `kalkin` Gadimov 2012-04-21 10:43:27 EDT
I just started blender and it exits with a buffer overflow

backtrace_rating: 4
Package: blender-2.62-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 collura 2012-04-22 02:53:16 EDT
installed and started 

backtrace_rating: 4
Package: blender-2.62-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Jochen Schmitt 2012-06-13 14:58:39 EDT
Pleas update to 2.63a and notify me about your test result.
Comment 10 Tom 2012-06-13 15:36:22 EDT
Now works for me since 2012-04-21.
Comment 11 Fedora End Of Life 2013-04-03 15:25:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 François Cami 2013-08-27 08:30:34 EDT
Closed (comment #10).

Note You need to log in before you can comment on or make changes to this bug.